## samba 4.9.5.25

=== third_party/popt/wscript ===
#!/usr/bin/env python

import Options

def configure(conf):
    conf.CHECK_HEADERS('float.h')
    conf.CHECK_FUNCS('stpcpy')

    if conf.CHECK_POPT():
        conf.define('USING_SYSTEM_POPT', 1)

def build(bld):
    if bld.CONFIG_SET('USING_SYSTEM_POPT'):
        return

    cflags = '-DPACKAGE="popt" -DPOPT_SYSCONFDIR="%s"' % bld.env.SYSCONFDIR
    bld.SAMBA_LIBRARY('popt',
                      source='popt.c poptconfig.c popthelp.c poptint.c poptparse.c',
                      cflags=cflags,
                      allow_warnings=True,
                      private_library=True)

=== debian/changelog ===
samba (2:4.9.5.25-1+dde) unstable; urgency=low

  * fix CVE-2021-44141

 -- wangrong <wangrong@uniontech.com>  Wed, 06 Apr 2022 18:58:31 +0800

samba (2:4.9.5.24-1+dde) unstable; urgency=medium

  * fix CVE-2021-3671

 -- wukaiqi <wukaiqi@uniontech.com>  Tue, 8 Mar 2022 15:33:43 +0800

samba (2:4.9.5.23-1+dde) unstable; urgency=high

  * fix CVE-2021-44142

 -- wangrong <wangrong@uniontech.com>  Thu, 10 Feb 2022 13:33:43 +0800

samba (2:4.9.5.22-1+dde) unstable; urgency=medium

  * fix CVE-2020-25721

 -- wangrong <wangrong@uniontech.com>  Fri, 24 Dec 2021 09:53:30 +0800

samba (2:4.9.5.21-1+dde) unstable; urgency=medium

  * fix CVE-2016-2124

 -- liuyangming <liuyangming@uniontech.com>  Thu, 23 Dec 2021 11:00:39 +0800

samba (2:4.9.5.20-1+dde) unstable; urgency=high

  * fix CVE-2020-25717

 -- wangrong <wangrong@uniontech.com>  Wed, 22 Dec 2021 21:56:13 +0800

samba (2:4.9.5.19-1+dde) unstable; urgency=high

  * fix CVE-2020-10730 CVE-2020-10760 CVE-2020-25722
  * fix samba install error

 -- wangrong <wangrong@uniontech.com>  Wed, 22 Dec 2021 14:37:40 +0800

samba (2:4.9.5.18-1+dde) unstable; urgency=medium

  * stop smb.service auto start at startup

 -- liyigang <liyigang@uniontech.com>  Tue, 19 Oct 2021 15:23:39 +0800

samba (2:4.9.5.17-1+dde) unstable; urgency=medium

  * fix CVE-2019-14902

 -- wangrong <wangrong@uniontech.com>  Tue, 14 Aug Sep 15:23:39 +0800

samba (2:4.9.5.16-1+dde) unstable; urgency=high

  * fix CVE-2020-10704

 -- wangrong <wangrong@uniontech.com>  Tue, 31 Aug 2021 16:09:45 +0800

samba (2:4.9.5.15-1+dde) unstable; urgency=high

  * fix CVE-2020-10745

 -- wangrong <wangrong@uniontech.com>  Wed, 25 Aug 2021 09:25:00 +0800

samba (2:4.9.5.14-1+dde) unstable; urgency=medium

  * fix CVE-2021-20254

 -- wangrong <wangrong@uniontech.com>  Tue, 24 Aug 2021 16:15:11 +0800

samba (2:4.9.5.13-1+dde) unstable; urgency=medium

  * fix CVE-2021-20277

 -- yangwu <yangwu@uniontech.com>  Mon, 23 Aug 2021 19:52:03 +0800

samba (2:4.9.5.12-1+dde) unstable; urgency=unimportant

* fix CVE-2020-27840

-- shuaijie <shuaijie@uniontech.com>  Mon, 23 Aug 2021 16:00:00 +0800

samba (2:4.9.5.11-1+security) unstable; urgency=medium

  * fix CVE-2020-14383

 -- wangrong <wangrong@uniontech.com>  Fri, 09 Jul 2021 19:54:45 +0800

samba (2:4.9.5.10-1+security) unstable; urgency=low

  * fix CVE-2019-14861

 -- wangrong <wangrong@uniontech.com>  Fri, 09 Jul 2021 11:11:59 +0800

samba (2:4.9.5.9-1+security) unstable; urgency=medium

  * Shielding logs with IP information and Replace logs with IP information to --.--.--.--

 -- Li YiGang <liyigang@uniontech.com>  Mon, 10 May 2021 14:00:21 +0800

samba (2:4.9.5.8-1+security) unstable; urgency=medium

  * fix CVE-2019-19344
  * fix CVE-2020-14323
  * fix CVE-2019-14870
  * fix CVE-2020-14318

 -- Hu Feng <hufeng@uniontech.com>  Tue, 30 Mar 2021 14:00:21 +0800

samba (2:4.9.5.6-1+deepin5) unstable; urgency=medium

  * Enable samba.service auto enable and auto start

 -- system-dev <system-dev@uniontech.com>  Tue, 01 Dec 2020 15:17:32 +0800

samba (2:4.9.5.5-1+deepin5) unstable; urgency=medium

  * Update smb.conf

 -- system-dev <system-dev@uniontech.com>  Mon, 23 Nov 2020 09:54:05 +0800

samba (2:4.9.5.4-1+deepin5) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable samba.service auto enable and auto start.

 -- tuqinggang <tuqinggang@uniontech.com>  Thu, 17 Sep 2020 17:40:31 +0800

samba (2:4.9.5.4-1+deepin4) unstable; urgency=medium

  * fix CVE-2020-14303

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 19 Aug 2020 19:00:42 +0800

samba (2:4.9.5.3-1+deepin3) unstable; urgency=medium

  * fix CVE-2019-14907

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 06 Aug 2020 17:14:02 +0800

samba (2:4.9.5.2-1+deepin2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 30 Jun 2020 16:25:49 +0800

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
DESTDIR = $(CURDIR)/debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYVERS=$(shell pyversions -vr)

LDB_VERSION = $(shell pkg-config --modversion ldb)
LDB_EPOCH = $(shell dpkg-query -f '$${Version}' -W libldb-dev | sed 's/:.*//')
LDB_NEXT_VERSION = $(shell python -c "x = '$(LDB_VERSION)'.split('.'); x[-1] = str(int(x[-1])+1); print '.'.join(x)")
# samba ships ldb modules, which are specific to the ldb version, so we need a
# strict dependency on the upstream ldb version
# this also mean samba needs a rebuild when the upstream ldb version changes
LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.5.1+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.5.1+really$(LDB_VERSION)~)"
export PYSHORT=$(shell pyversions -d)
export PYTHON=$(shell which $(PYSHORT))
export PYTHON_CONFIG="$(PYTHON)-config"
WAF = $(PYTHON) ./buildtools/bin/waf -v

# wrapper around cups-config, to work around #726726
export PATH:=$(CURDIR)/debian/bin:$(PATH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
WAF += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

conf_args = \
		--prefix=/usr \
		--enable-fhs \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-privatedir=/var/lib/samba/private \
		--with-smbpasswd-file=/etc/samba/smbpasswd \
		--with-piddir=/var/run/samba \
		--with-pammodulesdir=/lib/$(DEB_HOST_MULTIARCH)/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2,vfs_dfs_samba4,auth_samba4 \
		--with-automount \
		--with-ldap \
		--with-ads \
		--with-dnsupdate \
		--with-gpgme \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba \
		--datadir=/usr/share \
		--with-lockdir=/var/run/samba \
		--with-statedir=/var/lib/samba \
		--with-cachedir=/var/cache/samba \
		--enable-avahi \
		--disable-rpath \
		--disable-rpath-install \
		--bundled-libraries=NONE,pytevent,iniparser,roken,replace,wind,hx509,asn1,heimbase,hcrypto,krb5,gssapi,heimntlm,hdb,kdc,com_err,compile_et,asn1_compile \
		--builtin-libraries=ccan,samba-cluster-support \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--with-cluster-support \
		--with-socketpath=/var/run/ctdb/ctdbd.socket \
		--with-logdir=/var/log/ctdb

ifeq ($(DEB_HOST_ARCH_OS), linux)
	conf_args += \
		--with-systemd \
		--systemd-install-services \
		--with-systemddir=/lib/systemd/system
else
	conf_args += \
		--without-systemd
endif

ifeq ($(DEB_HOST_ARCH_CPU), amd64)
	conf_args += \
		--accel-aes=intelaesni
endif

%:
	dh $* --with python2

override_dh_auto_configure:
	$(WAF) configure $(conf_args)

override_dh_auto_build:
	DESTDIR="$(DESTDIR)" $(WAF)

override_dh_auto_test:
	# Running make test requires configuration with --enable-selftest, which
	# we don't want to do for production systems.

override_dh_auto_install:
	DESTDIR="$(DESTDIR)" $(WAF) install
	# get list of files in build log
	find ${DESTDIR}
	# Included in python-tevent
	rm $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
	rm $(DESTDIR)/usr/lib/python*/*-packages/tevent.py
	# Already documented in debian/copyright
	-rm $(DESTDIR)/usr/share/samba/setup/ad-schema/licence.txt
	# System ldb loads its modules from a different path
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb
	ln -sf ../../../samba/ldb $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb/samba
	# pam stuff
	mkdir -p $(DESTDIR)/usr/share/pam-configs
	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libnss_* $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/
	# we don't ship the symlinks
	rm $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libnss_*.so
	#Remove unused vfstest manpage vfstest is no longer installed
	rm $(DESTDIR)/usr/share/man/man1/vfstest.1
	# Debian goodies to set global option in smb.conf and add a share
	install -m 0755 debian/setoption.py $(DESTDIR)/usr/share/samba
	install -m 0755 debian/addshare.py $(DESTDIR)/usr/share/samba
	# Debian goodies
	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
	install -m755 debian/update-apparmor-samba-profile $(DESTDIR)/usr/share/samba/update-apparmor-samba-profile
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	mkdir -p $(DESTDIR)/etc/ufw/applications.d
	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
	mkdir -p $(DESTDIR)/usr/share/apport/package-hooks
	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
	# Install other stuff not installed by "make install"
	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
	mv $(DESTDIR)/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so \
	   debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so
	# use upstream version of smb.conf.5 if there is no built version
	# this is a temporary workaround for #750593 in xsltproc
	[ -e $(DESTDIR)/usr/share/man/man5/smb.conf.5 ] || \
	   cp docs/manpages/smb.conf.5 $(DESTDIR)/usr/share/man/man5/smb.conf.5
	# Tests that shouldn't be installed
	rm -f $(DESTDIR)/usr/bin/async_connect_send_test
	# Remove ctdb tests
	rm $(DESTDIR)/usr/bin/ctdb_run_tests
	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
	rm -r $(DESTDIR)/usr/share/ctdb/tests
ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Install systemd configs
	mkdir -p $(DESTDIR)/lib/systemd/system/
	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
	# Services fixups
	mv $(DESTDIR)/lib/systemd/system/nmb.service $(DESTDIR)/lib/systemd/system/nmbd.service
	mv $(DESTDIR)/lib/systemd/system/smb.service $(DESTDIR)/lib/systemd/system/smbd.service
	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
	sed -i \
	  -e 's|/etc/sysconfig/|/etc/default/|' \
	  -e 's|nmb\.service|nmbd.service|' \
	  -e 's|smb\.service|smbd.service|' \
	  -e 's|samba\.service|samba-ad-dc.service|' \
	  $(DESTDIR)/lib/systemd/system/nmbd.service \
	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
	  $(DESTDIR)/lib/systemd/system/smbd.service \
	  $(DESTDIR)/lib/systemd/system/winbind.service
endif
	# Harmless on systems without systemd-tmpfiles, and other consumers exist
	# such as OpenRC's opentmpfiles
	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf

override_dh_installdocs-arch:
	cp ctdb/config/events/README ctdb/README.eventscripts
	cp ctdb/config/notification.README ctdb/README.notification
	dh_installdocs
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	dh_installdocs -pctdb debian/ctdb.README.hurd
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_installdocs -pctdb debian/ctdb.README.kfreebsd
endif

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_installinit:
ifneq (,$(filter samba, $(shell dh_listpackages)))
	dh_installinit -psamba --name smbd
	dh_installinit -psamba --name nmbd --error-handler nmbd_error_handler
	dh_installinit -psamba --name samba-ad-dc
endif
ifneq (,$(filter winbind, $(shell dh_listpackages)))
	dh_installinit -pwinbind
endif

## samba 4.9.5.28

=== wscript ===
#!/usr/bin/env python

srcdir = '.'
blddir = 'bin'

APPNAME='samba'
VERSION=None

import sys, os, tempfile
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, Options, samba_dist, samba_git, Scripting, Utils, samba_version
import Logs, samba_utils
import shutil

samba_dist.DIST_DIRS('.')
samba_dist.DIST_BLACKLIST('.gitignore .bzrignore source4/selftest/provisions')

# install in /usr/local/samba by default
default_prefix = Options.default_prefix = '/usr/local/samba'

# This callback optionally takes a list of paths as arguments:
# --with-system_mitkrb5 /path/to/krb5 /another/path
def system_mitkrb5_callback(option, opt, value, parser):
    setattr(parser.values, option.dest, True)
    value = []
    for arg in parser.rargs:
        # stop on --foo like options
        if arg[:2] == "--" and len(arg) > 2:
            break
        value.append(arg)
    if len(value)>0:
        del parser.rargs[:len(value)]
        setattr(parser.values, option.dest, value)

def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('samba4')
    opt.RECURSE('lib/audit_logging')
    opt.RECURSE('lib/replace')
    opt.RECURSE('dynconfig')
    opt.RECURSE('packaging')
    opt.RECURSE('lib/ldb')
    opt.RECURSE('selftest')
    opt.RECURSE('source4/lib/tls')
    opt.RECURSE('source4/dsdb/samdb/ldb_modules')
    opt.RECURSE('pidl')
    opt.RECURSE('source3')
    opt.RECURSE('lib/util')
    opt.RECURSE('lib/crypto')
    opt.RECURSE('ctdb')


    opt.samba_add_onoff_option('pthreadpool', with_name="enable", without_name="disable", default=True)

    opt.add_option('--with-system-mitkrb5',
                   help='build Samba with system MIT Kerberos. ' +
                        'You may specify list of paths where Kerberos is installed (e.g. /usr/local /usr/kerberos) to search krb5-config',
                   action='callback', callback=system_mitkrb5_callback, dest='with_system_mitkrb5', default=False)

    opt.add_option('--with-experimental-mit-ad-dc',
                   help='Enable the experimental MIT Kerberos-backed AD DC.  ' +
                   'Note that security patches are not issued for this configuration',
                   action='store_true',
                   dest='with_experimental_mit_ad_dc',
                   default=False)

    opt.add_option('--with-system-mitkdc',
                   help=('Specify the path to the krb5kdc binary from MIT Kerberos'),
                   type="string",
                   dest='with_system_mitkdc',
                   default=None)

    opt.add_option('--with-system-heimdalkrb5',
                   help=('build Samba with system Heimdal Kerberos. ' +
                         'Requires --without-ad-dc' and
                         'conflicts with --with-system-mitkrb5'),
                   action='store_true',
                   dest='with_system_heimdalkrb5',
                   default=False)

    opt.add_option('--without-ad-dc',
                   help='disable AD DC functionality (enables only Samba FS (File Server, Winbind, NMBD) and client utilities.',
                   action='store_true', dest='without_ad_dc', default=False)

    opt.add_option('--with-ntvfs-fileserver',
                   help='enable the deprecated NTVFS file server from the original Samba4 branch (default if --enable-selftest specified).  Conflicts with --with-system-mitkrb5 and --without-ad-dc',
                   action='store_true', dest='with_ntvfs_fileserver')

    opt.add_option('--without-ntvfs-fileserver',
                   help='disable the deprecated NTVFS file server from the original Samba4 branch',
                   action='store_false', dest='with_ntvfs_fileserver')

    opt.add_option('--with-pie',
                  help=("Build Position Independent Executables " +
                        "(default if supported by compiler)"),
                  action="store_true", dest='enable_pie')
    opt.add_option('--without-pie',
                  help=("Disable Position Independent Executable builds"),
                  action="store_false", dest='enable_pie')

    opt.add_option('--with-relro',
                  help=("Build with full RELocation Read-Only (RELRO)" +
                        "(default if supported by compiler)"),
                  action="store_true", dest='enable_relro')
    opt.add_option('--without-relro',
                  help=("Disable RELRO builds"),
                  action="store_false", dest='enable_relro')

    gr = opt.option_group('developer options')

    opt.tool_options('python') # options for disabling pyc or pyo compilation
    # enable options related to building python extensions


def configure(conf):
    version = samba_version.load_version(env=conf.env)

    conf.DEFINE('CONFIG_H_IS_FROM_SAMBA', 1)
    conf.DEFINE('_SAMBA_BUILD_', version.MAJOR, add_to_cflags=True)
    conf.DEFINE('HAVE_CONFIG_H', 1, add_to_cflags=True)

    if Options.options.developer:
        conf.ADD_CFLAGS('-DDEVELOPER -DDEBUG_PASSWORD')
        conf.env.DEVELOPER = True
        # if we are in a git tree without a pre-commit hook, install a
        # simple default.
        pre_commit_hook = os.path.join(srcdir, '.git/hooks/pre-commit')
        if (os.path.isdir(os.path.dirname(pre_commit_hook)) and
            not os.path.exists(pre_commit_hook)):
            shutil.copy(os.path.join(srcdir, 'script/git-hooks/pre-commit-hook'),
                        pre_commit_hook)

    conf.ADD_EXTRA_INCLUDES('#include/public #source4 #lib #source4/lib #source4/include #include #lib/replace')

    conf.env.replace_add_global_pthread = True
    conf.RECURSE('lib/replace')

    conf.RECURSE('examples/fuse')

    conf.SAMBA_CHECK_PERL(mandatory=True)
    conf.find_program('xsltproc', var='XSLTPROC')

    if conf.env.disable_python:
        if not (Options.options.without_ad_dc):
            raise Utils.WafError('--disable-python requires --without-ad-dc')

    conf.SAMBA_CHECK_PYTHON(mandatory=True, version=(2, 6, 0))
    conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=(not conf.env.disable_python))

    if sys.platform == 'darwin' and not conf.env['HAVE_ENVIRON_DECL']:
        # Mac OSX needs to have this and it's also needed that the python is compiled with this
        # otherwise you face errors about common symbols
        if not conf.CHECK_SHLIB_W_PYTHON("Checking if -fno-common is needed"):
            conf.ADD_CFLAGS('-fno-common')
        if not conf.CHECK_SHLIB_W_PYTHON("Checking if -undefined dynamic_lookup is not need"):
            conf.env.append_value('shlib_LINKFLAGS', ['-undefined', 'dynamic_lookup'])

    if sys.platform == 'darwin':
        conf.ADD_LDFLAGS('-framework CoreFoundation')

    if int(conf.env['PYTHON_VERSION'][0]) >= 3:
        raise Utils.WafError('Python version 3.x is not supported by Samba yet')

    conf.RECURSE('dynconfig')
    conf.RECURSE('selftest')

    if conf.CHECK_FOR_THIRD_PARTY():
        conf.RECURSE('third_party')
    else:
        if not conf.CHECK_ZLIB():
            raise Utils.WafError('zlib development packages have not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_ZLIB',1)

        if not conf.CHECK_POPT():
            raise Utils.WafError('popt development packages have not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_POPT', 1)

        if not conf.CHECK_CMOCKA():
            raise Utils.WafError('cmocka development packages has not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_CMOCKA', 1)

        if conf.CONFIG_GET('ENABLE_SELFTEST'):
            if not conf.CHECK_SOCKET_WRAPPER():
                raise Utils.WafError('socket_wrapper package has not been found.\nIf third_party is installed, check that it is in the proper place.')
            else:
                conf.define('USING_SYSTEM_SOCKET_WRAPPER', 1)

            if not conf.CHECK_NSS_WRAPPER():
                raise Utils.WafError('nss_wrapper package has not been found.\nIf third_party is installed, check that it is in the proper place.')
            else:
                conf.define('USING_SYSTEM_NSS_WRAPPER', 1)

            if not conf.CHECK_RESOLV_WRAPPER():
                raise Utils.WafError('resolv_wrapper package has not been found.\nIf third_party is installed, check that it is in the proper place.')
            else:
                conf.define('USING_SYSTEM_RESOLV_WRAPPER', 1)

            if not conf.CHECK_UID_WRAPPER():
                raise Utils.WafError('uid_wrapper package has not been found.\nIf third_party is installed, check that it is in the proper place.')
            else:
                conf.define('USING_SYSTEM_UID_WRAPPER', 1)

            if not conf.CHECK_PAM_WRAPPER():
                raise Utils.WafError('pam_wrapper package has not been found.\nIf third_party is installed, check that it is in the proper place.')
            else:
                conf.define('USING_SYSTEM_PAM_WRAPPER', 1)

    conf.RECURSE('lib/ldb')

    if conf.CHECK_LDFLAGS(['-Wl,--wrap=test']):
        conf.env['HAVE_LDWRAP'] = True
        conf.define('HAVE_LDWRAP', 1)

    if not (Options.options.without_ad_dc):
        conf.DEFINE('AD_DC_BUILD_IS_ENABLED', 1)

    if Options.options.with_system_mitkrb5:
        if not Options.options.with_experimental_mit_ad_dc and \
           not Options.options.without_ad_dc:
            raise Utils.WafError('The MIT Kerberos build of Samba as an AD DC ' +
                                 'is experimental. Therefore '
                                 '--with-system-mitkrb5 requires either ' +
                                 '--with-experimental-mit-ad-dc or ' +
                                 '--without-ad-dc')

        conf.PROCESS_SEPARATE_RULE('system_mitkrb5')

    if not (Options.options.without_ad_dc or Options.options.with_system_mitkrb5):
        conf.DEFINE('AD_DC_BUILD_IS_ENABLED', 1)

    if Options.options.with_system_heimdalkrb5:
        if Options.options.with_system_mitkrb5:
            raise Utils.WafError('--with-system-heimdalkrb5 conflicts with ' +
                                 '--with-system-mitkrb5')
        if not Options.options.without_ad_dc:
            raise Utils.WafError('--with-system-heimdalkrb5 requires ' +
                                 '--without-ad-dc')
        conf.env.SYSTEM_LIBS += ('heimdal', 'asn1', 'com_err', 'roken',
                                 'hx509', 'wind', 'gssapi', 'hcrypto',
                                 'krb5', 'heimbase', 'asn1_compile',
                                 'compile_et', 'kdc', 'hdb', 'heimntlm')

    # Only process heimdal_build for non-MIT KRB5 builds
    # When MIT KRB5 checks are done as above, conf.env.KRB5_VENDOR will be set
    # to the lowcased output of 'krb5-config --vendor'.
    # If it is not set or the output is 'heimdal', we are dealing with
    # system-provided or embedded Heimdal build
    if conf.CONFIG_GET('KRB5_VENDOR') in (None, 'heimdal'):
        conf.RECURSE('source4/heimdal_build')
    conf.RECURSE('lib/audit_logging')
    conf.RECURSE('source4/lib/tls')
    conf.RECURSE('source4/dsdb/samdb/ldb_modules')
    conf.RECURSE('source4/ntvfs/sysdep')
    conf.RECURSE('lib/util')
    conf.RECURSE('lib/util/charset')
    conf.RECURSE('source4/auth')
    conf.RECURSE('nsswitch')
    conf.RECURSE('libcli/smbreadline')
    conf.RECURSE('lib/crypto')
    conf.RECURSE('pidl')
    if conf.CONFIG_GET('ENABLE_SELFTEST'):
        if Options.options.with_ntvfs_fileserver != False:
            if not (Options.options.without_ad_dc):
                conf.DEFINE('WITH_NTVFS_FILESERVER', 1)
        if Options.options.with_ntvfs_fileserver == False:
            if not (Options.options.without_ad_dc):
                raise Utils.WafError('--without-ntvfs-fileserver conflicts with --enable-selftest while building the AD DC')

=== lib/tevent/wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.9.37'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = srcdir + '/..'
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, samba_utils, Options, Logs

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools third_party/waf:third_party/waf')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)
            if not conf.env.disable_python and \
                conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
                conf.define('USING_SYSTEM_PYTEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    tevent_num_signals = 64
    v = conf.CHECK_VALUEOF('NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('_NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMAX', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMIN', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v*2)

    if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
        conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytevent as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_wrapper.c
             tevent_poll.c tevent_threads.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
        SRC += ' tevent_port.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        tevent_deps = 'replace talloc'
        if bld.CONFIG_SET('HAVE_PTHREAD'):
            tevent_deps += ' pthread'

        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps=tevent_deps,
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          public_headers=('' if private_library else 'tevent.h'),
                          public_headers_install=not private_library,
                          pc_files='tevent.pc',
                          private_library=private_library)

    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT') and not bld.env.disable_python:
        for env in bld.gen_python_environments(['PKGCONFIGDIR']):
            bld.SAMBA_PYTHON('_tevent',
                            'pytevent.c',
                            deps='tevent',
                            realname='_tevent.so',
                            cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)


            bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)

        # install out various python scripts for use by make test
        bld.SAMBA_SCRIPT('tevent_python',
                         pattern='tevent.py',
                         installdir='python')


def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")

    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')

    pyret = samba_utils.RUN_PYTHON_TESTS(['bindings.py'])
    sys.exit(pyret)


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== third_party/pam_wrapper/wscript ===
#!/usr/bin/env python

import os

VERSION="1.0.6"

def find_library(library_names, lookup_paths):
    for directory in lookup_paths:
        for filename in library_names:
            libpam_path = os.path.join(directory, filename)
            if os.path.exists(libpam_path):
                return libpam_path
    return ''

def configure(conf):
    if conf.CHECK_PAM_WRAPPER():
        conf.DEFINE('USING_SYSTEM_PAM_WRAPPER', 1)
        libpam_wrapper_so_path = 'libpam_wrapper.so'
    else:
        # check HAVE_GCC_THREAD_LOCAL_STORAGE
        conf.CHECK_CODE('''
            __thread int tls;

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_GCC_THREAD_LOCAL_STORAGE',
            addmain=False,
            msg='Checking for thread local storage')

        # check HAVE_DESTRUCTOR_ATTRIBUTE
        conf.CHECK_CODE('''
            void test_destructor_attribute(void) __attribute__ ((destructor));

            void test_destructor_attribute(void)
            {
                return;
            }

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_DESTRUCTOR_ATTRIBUTE',
            addmain=False,
            strict=True,
            msg='Checking for library destructor support')

        # check HAVE_FUNCTION_ATTRIBUTE_FORMAT
        conf.CHECK_CODE('''
            void log_fn(const char *format, ...) __attribute__ ((format (printf, 1, 2)));

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_FUNCTION_ATTRIBUTE_FORMAT',
            addmain=False,
            strict=True,
            msg='Checking for printf format validation support')

        conf.CHECK_HEADERS('security/pam_appl.h')
        conf.CHECK_HEADERS('security/pam_modules.h')
        conf.CHECK_HEADERS('security/pam_ext.h')

        conf.CHECK_FUNCS_IN('pam_vsyslog',
                            'pam',
                            checklibc=False,
                            headers='security/pam_ext.h')

        conf.CHECK_FUNCS_IN('pam_syslog',
                            'pam',
                            checklibc=False,
                            headers='security/pam_ext.h')

        conf.CHECK_C_PROTOTYPE('pam_vprompt',
                               'int pam_vprompt(const pam_handle_t *_pamh, int _style, char **_resp, const char *_fmt, va_list _ap)',
                               define='HAVE_PAM_VPROMPT_CONST', headers='stdio.h sys/types.h security/pam_appl.h security/pam_modules.h')

        conf.CHECK_C_PROTOTYPE('pam_prompt',
                               'int pam_prompt(const pam_handle_t *_pamh, int _style, char **_resp, const char *_fmt, ...)',
                               define='HAVE_PAM_PROMPT_CONST', headers='stdio.h sys/types.h security/pam_appl.h security/pam_modules.h')

        conf.CHECK_C_PROTOTYPE(
            'pam_strerror',
            'const char *pam_strerror(const pam_handle_t *pamh, int errnum)',
            define='HAVE_PAM_STRERROR_CONST',
            headers='''stdio.h sys/types.h security/pam_appl.h
                       security/pam_modules.h''')

        # Find the absolute path to libpam.so.0
        libpam_path = find_library(['libpam.so.0', 'libpam.so'], conf.env.STANDARD_LIBPATH)
        conf.DEFINE('PAM_LIBRARY', ('"%s"' % libpam_path ))

        # Create full path to pam_wrapper
        blddir = os.path.realpath(conf.blddir)
        libpam_wrapper_so_path = blddir + '/default/third_party/pam_wrapper/libpam-wrapper.so'

    conf.DEFINE('LIBPAM_WRAPPER_SO_PATH', libpam_wrapper_so_path)
    conf.DEFINE('PAM_WRAPPER', 1)

def build(bld):
    if not bld.CONFIG_SET("USING_SYSTEM_PAM_WRAPPER"):
        # We need to do it this way or the library wont work.
        # Using private_library=True will add symbol version which
        # breaks preloading!
        bld.SAMBA_LIBRARY('pam_wrapper',
                          source='pam_wrapper.c',
                          deps='dl',
                          install=False,
                          realname='libpam-wrapper.so')

        bld.SAMBA_SUBSYSTEM('libpamtest',
                            source='libpamtest.c',
                            deps='dl pam')

        # Can be used to write pam tests in python
        for env in bld.gen_python_environments():
            bld.SAMBA_PYTHON('pypamtest',
                             source='python/pypamtest.c',
                             deps='libpamtest',
                             install=False)

=== debian/changelog ===
samba (2:4.9.5.28-1+dde) unstable; urgency=low

  * update samba version from 104* to 105*

 -- wangrong <wangrong@uniontech.com>  Wed, 25 May 2022 16:33:24 +0800

samba (2:4.9.5.27-1+dde) unstable; urgency=low

  * update samba version

 -- wangrong <wangrong@uniontech.com>  Wed, 25 May 2022 10:06:41 +0800

samba (2:4.9.5.26-1+dde) unstable; urgency=high

  * build samba without AD DC capabilities

 -- wangrong <wangrong@uniontech.com>  Wed, 06 Apr 2022 18:58:31 +0800

=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Mathieu Parent <sathieu@debian.org>,
           Andrew Bartlett <abartlet+debian@catalyst.net.nz>
Homepage: http://www.samba.org
Standards-Version: 4.3.0
Build-Depends: bison,
               debhelper (>= 11),
               dh-exec,
               dh-python,
               docbook-xml,
               docbook-xsl,
               flex,
               libacl1-dev,
               libarchive-dev,
               libattr1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libblkid-dev,
               libbsd-dev,
               libcap-dev [linux-any],
               libcephfs-dev [linux-any],
               libcmocka-dev (>= 1.1.1),
               libcups2-dev,
               libdbus-1-dev,
               libglusterfs-dev [linux-any],
               libgnutls28-dev,
               libgpgme11-dev,
               libjansson-dev,
               libldap2-dev,
               libldb-dev (>= 2:1.5.1+really1.4.6),
               libncurses5-dev,
               libpam0g-dev,
               libparse-yapp-perl,
               libpcap-dev [hurd-i386 kfreebsd-any],
               libpopt-dev,
               libreadline-dev,
               libsystemd-dev [linux-any],
               libtalloc-dev (>= 2.1.14~),
               libtdb-dev (>= 1.3.16~),
               libtevent-dev (>= 0.9.37~),
               perl,
               pkg-config,
               po-debconf,
               python-all-dev (>= 2.6.6-3),
               python-dnspython,
               python-ldb (>= 2:1.5.1+really1.4.6),
               python-ldb-dev (>= 2:1.5.1+really1.4.6),
               python-talloc-dev (>= 2.1.14~),
               python-tdb (>= 1.3.16~),
               python-testtools,
               python3,
               xfslibs-dev [linux-any],
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/samba-team/samba
Vcs-Git: https://salsa.debian.org/samba-team/samba.git

Package: samba
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: adduser,
         libpam-modules,
         libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 4.1+Debian),
         procps,
         python,
         python-dnspython,
         python-samba,
         samba-common (= ${source:Version}),
         samba-common-bin (=${binary:Version}),
         tdb-tools,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: attr, logrotate, samba-dsdb-modules, samba-vfs-modules
Suggests: bind9 (>= 1:9.5.1),
          bind9utils,
          ctdb,
          ldb-tools,
          ntp | chrony (>= 3.0-1),
          smbldap-tools,
          ufw,
          winbind
Enhances: bind9, ntp
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a stand-alone
 file and print server or as an NT4 or Active Directory domain controller.
 For use in an NT4 domain or Active Directory realm, you will also need the
 winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libndr-standard0 (<< 2:4.0.9),
        libsamba-credentials0 (<< 2:4.0.9),
        libsamba-hostconfig0 (<< 2:4.0.9),
        libsamba-util0 (<< 2:4.0.9),
Replaces: samba (<< 2:4.3.3+dfsg-1),
          libndr-standard0 (<< 2:4.0.9),
          libsamba-credentials0 (<< 2:4.0.9),
          libsamba-hostconfig0 (<< 2:4.0.9),
          libsamba-util0 (<< 2:4.0.9),
Description: Samba core libraries
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the shared libraries.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ucf, ${misc:Depends}
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by all parts of Samba.

Package: samba-common-bin
Architecture: any
Depends: python,
         python-samba,
         samba-common (=${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: samba-dsdb-modules
Suggests: heimdal-clients
Description: Samba common files used by both the server and the client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Provides: samba-client
Suggests: cifs-utils, heimdal-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: samba-testsuite
Architecture: any
Suggests: subunit
Depends: samba-common-bin,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: test suite from Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: tools for viewing and manipulating the Windows registry
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Multi-Arch: same
Depends: libparse-yapp-perl, ${misc:Depends}, ${perl:Depends}
Recommends: samba-dev
Suggests: libwireshark-dev
Section: perl
Description: IDL compiler written in Perl
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev,
         libparse-pidl-perl,
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev (>= 1.2.11),
         libtevent-dev,
         samba-libs (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Description: tools for extending Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: python-samba
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: python-crypto,
         python-ldb,
         python-tdb,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-gpg
Description: Python bindings for Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains Python bindings for most Samba libraries.

Package: samba-dsdb-modules
Architecture: any
Multi-Arch: same
Section: libs
Depends: libgpgme11,
         samba-libs (= ${binary:Version}),
         ${ldb:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: libldb1
Description: Samba Directory Services Database
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains LDB plugins which add support for various Active
 Directory features to the LDB library.

Package: samba-vfs-modules
Architecture: any
Multi-Arch: same
Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${vfsmods:Recommends}
Enhances: samba
Description: Samba Virtual FileSystem plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 Virtual FileSystem modules are stacked shared libraries extending the
 functionality of Samba. Some examples are:
  * vfs_acl_xattr: Save NTFS-ACLs in Extended Attributes
  * vfs_audit: record selected Samba VFS operations in the system log
  * vfs_readonly: Make a Samba share read only for a specified time period
  * vfs_recycle: Give the same effect as the Recycle Bin on Windows computers
  * vfs_shadow_copy2: Expose snapshots to Windows clients as shadow copies

## samba 4.9.5.31

=== debian/changelog ===
samba (2:4.9.5.31-1+dde) unstable; urgency=high

  * fix CVE-2020-1472

 -- wangrong <wangrong@uniontech.com>  Thu, 28 Jul 2022 09:32:16 +0800

samba (2:4.9.5.30-1+dde) unstable; urgency=low

  * disable smbd.service for Education edition

 -- wangrong <wangrong@uniontech.com>  Tue, 21 Jun 2022 14:18:22 +0800

samba (2:4.9.5.29-1+dde) unstable; urgency=low

  * disable smbd.service for Professional edition and Home edition

 -- wangrong <wangrong@uniontech.com>  Fri, 17 Jun 2022 16:49:55 +0800
